## netcfg 1.160.lnd.1+nmu1

=== debian/changelog ===
netcfg (1.160.lnd.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:18:26 +0800

netcfg (1.160.lnd.1) unstable; urgency=medium
  
  * Repair and detect dummy network

 -- Huang Jia Wen <huangjiawen@loongson.cn>  Wed, 09 Jun 2021 12:28:13 +0800

## netcfg 1.161

=== debian/changelog ===
netcfg (1.161) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927498)

  [ Updated translations ]
  * Arabic (ar.po) by ButterflyOfFire
  * Croatian (hr.po) by gogogogi

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 30 Jul 2019 23:01:50 +0200

## netcfg 1.164

=== debian/changelog ===
netcfg (1.164) unstable; urgency=medium

  * Team upload

  * Fix lower case use of "dhcp" in template.
  * Improve "Malformed IP address" template for simplification and
    consistency.
  * The points above include updating all po|pot files.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * French (fr.po) by Baptiste Jammet
  * Hebrew (he.po) by Yaron Shahrabani
  * Croatian (hr.po) by Milo Ivir
  * Indonesian (id.po) by Andika Triwidada
  * Icelandic (is.po) by Sveinn í Felli
  * Dutch (nl.po) by Frans Spiesschaert
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Swedish (sv.po) by Anders Jonsson
  * Simplified Chinese (zh_CN.po) by 玉堂白鹤

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 Jan 2020 21:57:11 +0100

netcfg (1.163) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * French (fr.po) by Baptiste Jammet
  * Dutch (nl.po) by Frans Spiesschaert
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam
  * Serbian (sr.po) by Filipovic Dragan
  * Swedish (sv.po) by Mattias Münster

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 20 Dec 2019 17:19:26 +0100

netcfg (1.162) unstable; urgency=medium

  * Team upload

  [ Holger Wansing ]
  * Change dhcp template (pump and dhcp-client are no longer in the archive;
    rephrase message into a generic form).
  * Rephrase template, to rename "CD"/"CD-ROM" into "installation media".
  * Add comment for translators, to keep main menu entry below a 55 columns
    limit. This updates all po|pot files.

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe E. F. de Castro
  * French (fr.po) by Baptiste Jammet
  * Hebrew (he.po) by Yaron Shahrabani
  * Croatian (hr.po) by gogogogi
  * Indonesian (id.po) by Andika Triwidada
  * Icelandic (is.po) by Sveinn í Felli
  * Norwegian Bokmal (nb.po) by Allan Nordhøy
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Swedish (sv.po) by Anders Jonsson
  * Simplified Chinese (zh_CN.po) by Boyuan Yang
  * Traditional Chinese (zh_TW.po) by Walter Cheuk

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 07 Oct 2019 21:23:57 +0200

## netcfg 1.167

=== debian/changelog ===
netcfg (1.167) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino
  * French (fr.po) by Baptiste Jammet
  * Indonesian (id.po) by Andika Triwidada
  * Norwegian Bokmal (nb.po) by Petter Reinholdtsen
  * Polish (pl.po) by Bartosz Feński

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 20 Sep 2020 22:39:01 +0200

netcfg (1.166) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Estonian (et.po) by Kristjan Räts
  * Hebrew (he.po) by Yaron Shahrabani
  * Croatian (hr.po) by gogogogi
  * Korean (ko.po) by Changwoo Ryu
  * Norwegian Bokmal (nb.po) by Allan Nordhøy
  * Dutch (nl.po) by Frans Spiesschaert
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 09 May 2020 23:26:36 +0200

netcfg (1.165) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Serbian (sr.po) by Filipovic Dragan

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 07 Mar 2020 21:10:56 +0100

=== debian/control ===
Source: netcfg
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>,
	Philipp Kern <pkern@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
Vcs-Browser: https://salsa.debian.org/installer-team/netcfg
Vcs-Git: https://salsa.debian.org/installer-team/netcfg.git

Package: netcfg
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	ethernet-card-detection,
	isc-dhcp-client-udeb [kfreebsd-any hurd-any],
	freebsd-net-tools-udeb [kfreebsd-any],
	wpasupplicant-udeb [!s390 !s390x !sparc !kfreebsd-any !hurd-any],
	crypto-modules [!s390 !s390x !sparc !kfreebsd-any !hurd-any],
	rdnssd-udeb,
	ndisc6-udeb,
	wide-dhcpv6-client-udeb [linux-any]
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure the network
 To install additional installer components or the Debian Base System over
 the network, you need to configure the network in the installer. This
 component will first try to configure your network with DHCP and ask
 you for static network configuration if this fails. The configured
 network settings will be copied to your newly installed system.

Package: netcfg-static
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	ethernet-card-detection,
	freebsd-net-tools-udeb [kfreebsd-any]
Provides: configured-network
XB-Installer-Menu-Item: 1800
Description: Configure a static network
 If you have information such as IP address, netmask, gateway, then you will be
 able to configure a static network.  If you don't know this information, you
 should ask your system administrator, or look at configuration via DHCP.

## netcfg 1.168

=== debian/changelog ===
netcfg (1.168) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Greek (el.po) by Vangelis Skarmoutsos
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Persian (fa.po) by Seyed Hany Hosseini
  * Italian (it.po) by Milo Casagrande
  * Lithuanian (lt.po) by Kornelijus Tvarijanavičius
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam
  * Traditional Chinese (zh_TW.po) by Walter Cheuk

  [ New translations ]
  * Kabyle (kab.po) by Slimane Selyan Amiri
  * Occitan (oc.po) by Quentin PAGÈS

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 04 Nov 2020 19:41:51 +0100

## netcfg 1.169

=== debian/changelog ===
netcfg (1.169) unstable; urgency=medium

  * Team upload

  [ Philipp Kern ]
  * Removed myself from uploaders.

  [ Updated translations ]
  * Greek (el.po) by EG
  * Esperanto (eo.po) by Felipe Castro
  * oc (oc.po) by Quentin PAGÈS
  * Russian (ru.po) by Yuri Kozlov

 -- Philipp Kern <pkern@debian.org>  Sat, 21 Nov 2020 22:03:20 +0100

## netcfg 1.171

=== debian/changelog ===
netcfg (1.171) unstable; urgency=medium

  * Team upload

  [ Francisco Vilmar Cardoso Ruviaro ]
  * Update testcases to work with current Check API,
    patch from Dennis Filder <d.filder@web.de>. (Closes: #980607)
  * Satisfy GCC pedantery for strncpy() calls,
    patch from Dennis Filder <d.filder@web.de>.

  [ Updated translations ]
  * Catalan (ca.po) by d
  * Danish (da.po) by Michael Millet
  * Galician (gl.po) by mantinan
  * Hindi (hi.po) by KushagraKarira
  * Kannada (kn.po) by Yogesh
  * Latvian (lv.po) by Tranzistors
  * Romanian (ro.po) by Sergiu
  * Albanian (sq.po) by Sotirios Vrachas
  * Tamil (ta.po) by Vasudevan Tirumurti
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Ukrainian (uk.po) by Anton Gladky

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 22 Feb 2021 17:58:31 +0100

## netcfg 1.172

=== debian/changelog ===
netcfg (1.172) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Persian (fa.po)
  * Irish (ga.po)
  * Italian (it.po)
  * Dutch (nl.po)
  * Simplified Chinese (zh_CN.po) by TTT DEAL

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 20 Mar 2021 22:33:39 +0100

## netcfg 1.173

=== debian/changelog ===
netcfg (1.173) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Arabic (ar.po) by Fahim Sabah
  * Persian (fa.po) by Sina Carnelious
  * Croatian (hr.po) by Valentin Vidic
  * Japanese (ja.po) by Nozomu KURASAWA

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 30 May 2021 23:05:05 +0200

## netcfg 1.175

=== debian/changelog ===
netcfg (1.175) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Lithuanian (lt.po) by Gediminas Murauskas

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 08 Jul 2021 17:08:43 +0200

netcfg (1.174) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Romanian (ro.po) by Christian Eichert

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 23 Jun 2021 21:23:51 +0200

## netcfg 1.176

=== debian/changelog ===
netcfg (1.176) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Finnish (fi.po) by Kimmo Kujansuu

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 23 Jul 2021 19:10:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: debian-installer
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>,
-	Philipp Kern <pkern@debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
 Vcs-Browser: https://salsa.debian.org/installer-team/netcfg
 Vcs-Git: https://salsa.debian.org/installer-team/netcfg.git

## netcfg 1.176A~5.1.0.202303141847

=== Makefile ===
NETCFG_VERSION := $(shell dpkg-parsechangelog | grep ^Version: |sed 's/Version: //')
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

CC		?= gcc
TARGETS		?= netcfg-static netcfg

LDOPTS		= -ldebconfclient -ldebian-installer
CFLAGS		= -W -Wall -Werror -DNDEBUG -DNETCFG_VERSION="\"$(NETCFG_VERSION)\"" -I.
COMMON_OBJS	= netcfg-common.o wireless.o write_interface.o ipv6.o
NETCFG_O   	= netcfg.o dhcp.o static.o ethtool-lite.o wpa.o wpa_ctrl.o rdnssd.o autoconfig.o ucr.c
NETCFG_STATIC_O	= netcfg-static.o static.o ethtool-lite.o ucr.c

WIRELESS	= 1
NM		= 1
ifneq ($(DEB_HOST_ARCH_OS),linux)
WIRELESS	= 0
NM		= 0
endif
ifeq ($(DEB_HOST_ARCH),s390)
WIRELESS	= 0
endif
ifeq ($(DEB_HOST_ARCH),s390x)
WIRELESS	= 0
endif
ifeq ($(DEB_HOST_ARCH),sparc)
WIRELESS	= 0
endif

ifneq ($(WIRELESS),0)
LDOPTS		+= -liw -lm
CFLAGS		+= -DWIRELESS
endif
ifneq ($(NM),0)
CFLAGS		+= -DNM
NETCFG_O	+= nm-conf.o
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0 -g3
else
CFLAGS += -Os -fomit-frame-pointer
endif

all: $(TARGETS)

netcfg-static: $(NETCFG_STATIC_O)
netcfg: $(NETCFG_O)

ethtool-lite: ethtool-lite-test.o
	$(CC) -o $@ $<

ethtool-lite-test.o: ethtool-lite.c
	$(CC) -c $(CFLAGS) -DTEST $(DEFS) $(INCS) -o $@ $<

$(TARGETS): $(COMMON_OBJS)
	$(CC) -o $@ $^ $(LDOPTS)

%.o: %.c
	$(CC) -c $(CFLAGS) $(DEFS) $(INCS) -o $@ $<

clean:
	rm -f $(TARGETS) ethtool-lite *.o test/*.o test/run

include test/tests.mk

.PHONY: all clean

# vim:ts=8:noet

=== debian/changelog ===
netcfg (1.176A~5.1.0.202303141847) ucs5-1-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-35435-d-i-Write-UCR-net-configuration
    0002-Bug-35731-d-i-Support-IPv4-Link-Local-config
    0003-Bug-36118-d-i-Skip-overwriting-etc-network-interface
    0004-Bug-42853-Added-French-language

 -- Univention builddaemon <buildd@univention.de>  Tue, 14 Mar 2023 18:47:11 +0100

## netcfg 1.176+11.0trisquel3

=== debian/changelog ===
netcfg (1.176+11.0trisquel3) aramo; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 19 Dec 2022 02:35:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: netcfg
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
 Vcs-Browser: https://salsa.debian.org/installer-team/netcfg

## netcfg 1.176+11.0trisquel4

=== debian/changelog ===
netcfg (1.176+11.0trisquel4) aramo; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 23 Feb 2023 19:07:36 +0000

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,12 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	ethernet-card-detection,
-	isc-dhcp-client-udeb [kfreebsd-any hurd-any],
+	isc-dhcp-client-udeb,
 	freebsd-net-tools-udeb [kfreebsd-any],
 	wpasupplicant-udeb [!s390 !s390x !sparc !kfreebsd-any !hurd-any],
 	crypto-modules [!s390 !s390x !sparc !kfreebsd-any !hurd-any],
 	rdnssd-udeb,
-	ndisc6-udeb,
-	wide-dhcpv6-client-udeb [linux-any]
+	ndisc6-udeb
 Provides: configured-network
 XB-Installer-Menu-Item: 1800
 Description: Configure the network

## netcfg 1.176+devuan1

=== debian/changelog ===
netcfg (1.176+devuan1) unstable; urgency=medium

  * Upgrade fork

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sat, 31 Jul 2021 20:40:06 +1000

netcfg (1.173+devuan1) unstable; urgency=medium

  * Upgrade fork

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Wed, 02 Jun 2021 11:24:52 +1000

netcfg (1.172+devuan1) unstable; urgency=medium

  * Upgrade fork

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sat, 29 May 2021 19:08:45 +1000

netcfg (1.160+devuan1) unstable; urgency=medium

  * merged 1.160 over 1.157+devuan1

 -- Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>  Sat, 14 Dec 2019 11:45:00 +1100

netcfg (1.157+devuan1) unstable; urgency=medium

  * merge 1.157 into unstable

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 04 Feb 2019 06:56:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: netcfg
 Section: debian-installer
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Uploaders: Colin Watson <cjwatson@debian.org>
+Maintainer: Ralph Ronnquist <ralph.ronnquist@gmail.com>
+Origin: Devuan
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
-Vcs-Browser: https://salsa.debian.org/installer-team/netcfg
-Vcs-Git: https://salsa.debian.org/installer-team/netcfg.git
+Vcs-Browser: https://git.devuan.org/devuan/netcfg
+Vcs-Git: https://git.devuan.org/devuan/netcfg.git
 
 Package: netcfg
 Package-Type: udeb
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	ethernet-card-detection,
-	isc-dhcp-client-udeb,
+	isc-dhcp-client-udeb [kfreebsd-any hurd-any],
 	freebsd-net-tools-udeb [kfreebsd-any],
 	wpasupplicant-udeb [!s390 !s390x !sparc !kfreebsd-any !hurd-any],
 	crypto-modules [!s390 !s390x !sparc !kfreebsd-any !hurd-any],
 	rdnssd-udeb,
-	ndisc6-udeb
+	ndisc6-udeb,
+	wide-dhcpv6-client-udeb [linux-any]
 Provides: configured-network
 XB-Installer-Menu-Item: 1800
 Description: Configure the network

## netcfg 1.180

=== debian/changelog ===
netcfg (1.180) unstable; urgency=medium

  * Team upload

  * Adapt lintian-overrides to recent 'pointed hints' changings.

  [ Updated translations ]
  * Basque (eu.po) by Gontzal Manuel Pujana Onaindia
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 31 Jul 2022 15:00:34 +0200

netcfg (1.179) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Galician (gl.po) by Jorge Teijeiro
  * Norwegian Nynorsk (nn.po) by aujawindar
  * Simplified Chinese (zh_CN.po) by Wenbin Lv

  [ Holger Wansing ]
  * Add missing translation updates entries for changelog v1.177

  [ Samuel Thibault ]
  * netcfg-common.c: Fix endianness support in netcfg_gateway_reachable.
    (Closes: #1007929).

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 03 Jun 2022 20:32:39 +0200

netcfg (1.177) unstable; urgency=medium

  * Team upload

  [ Igor Scheller ]
  * Add support for preseeded pointopoint.
  * Added support for fe80 addresses as gateway.

  [ Samuel Thibault ]
  * Make gbp produce the right tag format

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Persian (fa.po) by Sina Aghighi
  * Dutch (nl.po) by Frans Spiesschaert
  * Ukrainian (uk.po) by Taras Panchenko
  * Vietnamese (vi.po) by Tran Dinh Hai

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 15 Jan 2022 21:43:50 +0100

## netcfg 1.181

=== debian/changelog ===
netcfg (1.181) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * Make gbp tag produce the right tag format.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Bump debhelper from deprecated 9 to 13.

  [ Updated translations ]
  * Amharic (am.po) by Danial Behzadi
  * Asturian (ast.po) by Danial Behzadi
  * Bengali (bn.po) by Danial Behzadi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 01 Jan 2023 12:42:34 +0100

## netcfg 1.182

=== debian/changelog ===
netcfg (1.182) unstable; urgency=medium

  * Fix ifupdown configuration for wireless connections (Closes: #1029352,
    issue #1): when NetworkManager isn't used, a wireless connection would
    result in the internal netcfg/target_network_config (if not preseeded)
    being set to “loopback”, resulting in a /etc/network/interfaces that's
    mostly empty in the installed system. Instead, use “ifupdown”, just
    like in the wired connection case, and keep /e/n/i as written by
    netcfg initially. Since secrets can be stored there (when using WPA or
    WEP with a non-empty passphrase), change its mode to 600 for secure
    connections.
  * Fix ifupdown configuration for wireless connections (Closes: #1029352,
    issue #2): when both DHCP and SLAAC stanzas are written for a wireless
    interface, the wireless options are only written for the second one
    (the SLAAC stanza, inet6 auto). This means that the first one (the
    DHCP stanza, inet dhcp) cannot establish a connection, leading to long
    delays until dhclient times out. Since duplicating wireless options in
    both stanzas wouldn't work, just write a DHCP stanza in that case,
    letting router advertisements (RAs) set up IPv6 automatically.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 24 Jan 2023 05:15:23 +0000

## netcfg 1.183

=== debian/changelog ===
netcfg (1.183) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by gallegonovato

 -- Cyril Brulebois <kibi@debian.org>  Wed, 15 Feb 2023 17:15:25 +0100

## netcfg 1.184

=== debian/changelog ===
netcfg (1.184) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Vietnamese (vi.po) by tictactoe

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 17 Mar 2023 21:52:30 +0100

## netcfg 1.185

=== debian/changelog ===
netcfg (1.185) unstable; urgency=medium

  [ Updated translations ]
  * Georgian (ka.po) by Temuri Doghonadze
  * Polish (pl.po) by Matthaiks

 -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Apr 2023 01:46:01 +0200

## netcfg 1.187

=== debian/changelog ===
netcfg (1.187) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bengali (bn.po) by Indrani Roy
  * Norwegian Nynorsk (nn.po) by Yngve Spjeld-Landro

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 23 May 2023 20:24:01 +0200

netcfg (1.186) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Norwegian Nynorsk (nn.po) by Kjetil Sørlund
  * Polish (pl.po) by Matthaiks

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 07 May 2023 19:17:31 +0200

## netcfg 1.187devuan1

=== debian/changelog ===
netcfg (1.187devuan1) unstable; urgency=medium

  * Merge tag 1.187.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Thu, 25 May 2023 16:38:55 +1000

netcfg (1.186devuan1) unstable; urgency=medium

  * Merge tag 1.186.

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Wed, 17 May 2023 16:42:29 +1000

netcfg (1.185devuan1) unstable; urgency=medium

  * Merge tag 1.185.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 26 Apr 2023 07:16:09 +0100

netcfg (1.184devuan1) unstable; urgency=medium

  * Merge tag 1.184.
  * d/gbp.conf: restore Devuan configuration.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 25 Apr 2023 14:39:26 +0100

netcfg (1.183devuan1) unstable; urgency=medium

  * Upgrade fork to version 1.183

 -- Antonio A. Rendina <arendina13@gmail.com>  Tue, 28 Feb 2023 10:35:26 +0100

netcfg (1.182devuan1) unstable; urgency=medium

  * Upgrade fork to version 1.182

 -- Antonio A. Rendina <arendina13@gmail.com>  Tue, 28 Feb 2023 10:25:56 +0100

netcfg (1.181devuan1) unstable; urgency=medium

  * Upgrade fork

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Tue, 03 Jan 2023 20:19:26 +1100

netcfg (1.180devuan1) unstable; urgency=medium

  * Upgrade fork

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Mon, 26 Dec 2022 16:39:06 +1100

netcfg (1.179devuan1) unstable; urgency=medium

  * Upgrade fork

 -- Ralph Ronnquist <ralph.ronnquist@gmail.com>  Sun, 24 Jul 2022 19:07:45 +1000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: debian-installer
 Priority: optional
 Maintainer: Ralph Ronnquist <ralph.ronnquist@gmail.com>
+Uploaders: Antonio Rendina <arendina13@gmail.com>
 Origin: Devuan
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), libiw-dev (>= 27+28pre9) [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
+Build-Depends: debhelper-compat (= 13), libdebconfclient0-dev, libdebian-installer4-dev, po-debconf, libiw-dev [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
 Vcs-Browser: https://git.devuan.org/devuan/netcfg
 Vcs-Git: https://git.devuan.org/devuan/netcfg.git

## netcfg 1.187+deb12u1

=== debian/changelog ===
netcfg (1.187+deb12u1) bookworm; urgency=medium

  * Handle routing for single-address netmasks (closes: #1064005).

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 May 2024 17:32:45 +0100

## netcfg 1.187+parrot1

=== debian/changelog ===
netcfg (1.187+parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:10:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: netcfg
 Section: debian-installer
 Priority: optional
-Maintainer: Ralph Ronnquist <ralph.ronnquist@gmail.com>
-Uploaders: Antonio Rendina <arendina13@gmail.com>
-Origin: Devuan
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Build-Depends: debhelper-compat (= 13), libdebconfclient0-dev, libdebian-installer4-dev, po-debconf, libiw-dev [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
-Vcs-Browser: https://git.devuan.org/devuan/netcfg
-Vcs-Git: https://git.devuan.org/devuan/netcfg.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/installer-team/netcfg
+XS-Debian-Vcs-Git: https://salsa.debian.org/installer-team/netcfg.git
 
 Package: netcfg
 Package-Type: udeb

## netcfg 1.190

=== debian/changelog ===
netcfg (1.190) unstable; urgency=medium

  [ Lukas Märdian ]
  * Initial Netplan enablement:
    D-I will now detect if 'netplan-generator' is installed in the target
    system and write corresponding configuration to /etc/netplan/ in that case.
    If 'network-manager' is installed as well, it will set Netplan's default
    renderer to be NetworkManager (it defaults to systemd-networkd otherwise).
    In case Netplan is not installed D-I will continue to write NetworkManager
    configuration to /etc/NetworkManager/system-connections and fall back to
    ifupdown (/etc/network/interfaces) if none of the above is installed.

  [ Cyril Brulebois ]
  * The same NetworkManager or ifupdown fallback happens if Netplan is
    installed but the configuration isn't supported: that's the case for
    WEP connections, which are deliberately not supported by Netplan.
    Whether to keep WEP support (which despite its name brings little to
    no security) in the installer at all remains a discussion to be had.

  [ Updated translations ]
  * Georgian (ka.po) by Temuri Doghonadze

 -- Cyril Brulebois <kibi@debian.org>  Mon, 15 Jul 2024 00:39:41 +0200

netcfg (1.189) unstable; urgency=medium

  [ Colin Watson ]
  * netcfg_activate_static_*: Add more logging.
  * Fix display of IPv6 netmasks in netcfg/confirm_static (closes: #701139).
  * Handle routing for single-address netmasks (closes: #1064005).

  [ Updated translations ]
  * Welsh (cy.po) by Rhodri
  * Hungarian (hu.po) by SZERVÁC Attila
  * Macedonian (mk.po) by Kristijan Fremen Velkovski
  * Marathi (mr.po) by omwani
  * Dutch (nl.po) by Frans Spiesschaert
  * Occitan (oc.po) by Quentin PAGÈS
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam

 -- Colin Watson <cjwatson@debian.org>  Tue, 21 May 2024 13:30:01 +0100

netcfg (1.188) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Malayalam (ml.po) by Anish Sheela
  * Polish (pl.po) by Matthaiks
  * Romanian (ro.po) by NicolaeFericitu
  * Turkish (tr.po) by Fatih Altun
  * Traditional Chinese (zh_TW) by Chang-Chia Tseng

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 24 Sep 2023 11:17:42 +0200

## netcfg 1.191

=== debian/changelog ===
netcfg (1.191) unstable; urgency=medium

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Indonesian (id.po) by Andika Triwidada
  * Georgian (ka.po) by Temuri Doghonadze

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Nov 2024 21:46:39 +0100

## netcfg 1.192

=== debian/changelog ===
netcfg (1.192) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Persian (fa.po) by Danial Behzadi
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 29 Nov 2024 23:48:26 +0100

## netcfg 1.193

=== debian/changelog ===
netcfg (1.193) unstable; urgency=medium

  * Team upload

  [ Pascal Hambourg ]
  * Reject invalid input for static nameserver configuration.
  * Update netcfg/get_netmask with masklen on static IP address.

  [ Updated translations ]
  * Belarusian (be.po) by vics
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Tamil (ta.po) by TamilNeram

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 01 Jan 2025 22:01:29 +0100

## netcfg 1.194

=== debian/changelog ===
netcfg (1.194) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Persian (fa.po) by Danial Behzadi
  * Hungarian (hu.po) by Szia Tomi
  * Italian (it.po) by Giuseppe Sacco
  * Polish (pl.po) by Matthaiks

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 06 Feb 2025 21:59:09 +0100

## netcfg 1.195

=== debian/changelog ===
netcfg (1.195) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Dutch (nl.po) by Frans Spiesschaert
  * Serbian (sr.po) by Мирослав Николић

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 01 Apr 2025 14:29:10 +0200

## netcfg 1.196

=== debian/changelog ===
netcfg (1.196) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Hungarian (hu.po) by Szia Tomi
  * Punjabi (Gurmukhi) (pa.po) by DuskyElf
  * Uyghur (ug.po) by Abduqadir Abliz

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 27 Jun 2025 16:43:01 +0200

## netcfg 1.196devuan1

=== debian/changelog ===
netcfg (1.196devuan1) unstable; urgency=medium

  * Merge tag 1.196.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 28 Jun 2025 07:42:35 +0100

netcfg (1.195devuan1) unstable; urgency=medium

  * Merge tag 1.195.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 01 Apr 2025 14:36:44 +0100

netcfg (1.194devuan1) unstable; urgency=medium

  * Merge tag 1.194.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 07 Feb 2025 05:58:44 +0000

netcfg (1.193devuan1) unstable; urgency=medium

  * Merge tag 1.193.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 02 Jan 2025 07:38:26 +0000

netcfg (1.192devuan1) unstable; urgency=medium

  * Merge tag 1.192.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 30 Nov 2024 07:30:38 +0000

netcfg (1.191devuan1) unstable; urgency=medium

  * Merge tag 1.191.
  * d/control: change Maintainer to Devuan Developers list

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 03 Nov 2024 09:33:48 +0000

netcfg (1.190devuan1) unstable; urgency=medium

  * Merge tag 1.190.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 16 Jul 2024 16:55:32 +0100

netcfg (1.189devuan1) unstable; urgency=medium

  * Merge tag 1.189.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 29 May 2024 21:31:58 +0100

netcfg (1.188devuan1) unstable; urgency=medium

  * Merge tag 1.188.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 27 Sep 2023 20:24:31 +0100

## netcfg 1.196trisquel0.12

=== debian/changelog ===
netcfg (1.196trisquel0.12) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Jun 2025 12:47:21 +0000

## netcfg 1.196+kali1

=== debian/changelog ===
netcfg (1.196+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 07 Jul 2025 16:39:42 +0700

netcfg (1.195+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Feb 2025 10:29:23 +0100

netcfg (1.193+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Jan 2025 15:27:42 +0100

netcfg (1.192+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 18 Dec 2024 10:14:29 +0100

netcfg (1.191+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 12 Nov 2024 10:43:31 +0700

netcfg (1.190+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 04 Sep 2024 16:04:34 +0200

netcfg (1.189+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 28 Jun 2024 10:32:35 +0700

netcfg (1.188+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 04 Oct 2023 11:15:11 +0200

netcfg (1.187+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Jun 2023 10:18:13 +0200

netcfg (1.186+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 12 May 2023 17:37:10 +0200

netcfg (1.185+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 05 May 2023 10:53:01 +0200

netcfg (1.184+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 Apr 2023 14:25:41 +0200

netcfg (1.183+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Feb 2023 16:25:35 +0100

netcfg (1.182+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 31 Jan 2023 10:37:35 +0700

netcfg (1.181+kali1) kali-dev; urgency=medium

  * Sync with Debian
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 11 Jan 2023 16:06:04 +0100

netcfg (1.180+kali1) kali-dev; urgency=medium

  * Sync with Debian
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Sep 2022 10:31:07 +0200

netcfg (1.179+kali1) kali-dev; urgency=medium

  * Sync with Debian
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Jun 2022 16:49:12 +0200

netcfg (1.176+kali1) kali-dev; urgency=medium

  * Sync with Debian
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Aug 2021 10:39:10 +0200

netcfg (1.173+kali1) kali-dev; urgency=medium

  * Sync with Debian
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Jun 2021 10:44:11 +0200

netcfg (1.172+kali1) kali-dev; urgency=medium

  * Sync with Debian
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Apr 2021 10:35:34 +0200

netcfg (1.171+kali2) kali-dev; urgency=medium

  * Replace hardcoded hostname, kali instead of debian.
    User report at <https://bugs.kali.org/view.php?id=7070>

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 09 Mar 2021 10:35:17 +0700

netcfg (1.171+kali1) kali-dev; urgency=medium

  * Fix gbp.conf import dsc for kali
  * Sync with Debian
    - default hostname is "kali" instead of "debian"

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 08 Mar 2021 18:12:02 +0700

netcfg (1.169+kali1) kali-dev; urgency=medium

  * Sync with Debian
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Nov 2020 16:57:45 +0100

netcfg (1.167+kali1) kali-dev; urgency=medium

  * Sync with Debian
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Sep 2020 17:44:37 +0200

netcfg (1.166+kali1) kali-dev; urgency=medium

  * Sync with Debian
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 08 Jun 2020 09:53:50 +0200

netcfg (1.165+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Mar 2020 10:47:41 +0100

netcfg (1.164+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Feb 2020 15:52:57 +0100

netcfg (1.163+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"


## netcfg 1.197

=== Makefile ===
--- 
+++ 
@@ -8,14 +8,16 @@
 LDOPTS		= -ldebconfclient -ldebian-installer
 CFLAGS		= -W -Wall -Werror -DNDEBUG -DNETCFG_VERSION="\"$(NETCFG_VERSION)\"" -I.
 COMMON_OBJS	= netcfg-common.o wireless.o write_interface.o ipv6.o
-NETCFG_O   	= netcfg.o dhcp.o static.o ethtool-lite.o wpa.o wpa_ctrl.o rdnssd.o autoconfig.o ucr.c
-NETCFG_STATIC_O	= netcfg-static.o static.o ethtool-lite.o ucr.c
+NETCFG_O   	= netcfg.o dhcp.o static.o ethtool-lite.o wpa.o wpa_ctrl.o rdnssd.o autoconfig.o
+NETCFG_STATIC_O	= netcfg-static.o static.o ethtool-lite.o
 
 WIRELESS	= 1
 NM		= 1
+NETPLAN		= 1
 ifneq ($(DEB_HOST_ARCH_OS),linux)
 WIRELESS	= 0
 NM		= 0
+NETPLAN		= 0
 endif
 ifeq ($(DEB_HOST_ARCH),s390)
 WIRELESS	= 0
@@ -34,6 +36,10 @@
 ifneq ($(NM),0)
 CFLAGS		+= -DNM
 NETCFG_O	+= nm-conf.o
+endif
+ifneq ($(NETPLAN),0)
+CFLAGS		+= -DNETPLAN
+NETCFG_O	+= netplan-conf.o
 endif
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))

=== debian/changelog ===
netcfg (1.197) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by Santiago Vila
  * Hungarian (hu.po) by Szia Tomi
  * Latvian (lv.po) by Aigars Mahinovs

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Jul 2025 06:33:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: netcfg
 Section: debian-installer
 Priority: optional
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13), libdebconfclient0-dev, libdebian-installer4-dev, po-debconf, libiw-dev [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
-XS-Debian-Vcs-Browser: https://salsa.debian.org/installer-team/netcfg
-XS-Debian-Vcs-Git: https://salsa.debian.org/installer-team/netcfg.git
+Vcs-Browser: https://salsa.debian.org/installer-team/netcfg
+Vcs-Git: https://salsa.debian.org/installer-team/netcfg.git
 
 Package: netcfg
 Package-Type: udeb

## netcfg 1.197devuan1

=== debian/changelog ===
netcfg (1.197devuan1) unstable; urgency=medium

  * Merge tag 1.197.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 21 Jul 2025 19:35:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: netcfg
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Colin Watson <cjwatson@debian.org>
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders: Antonio Rendina <arendina13@gmail.com>
+Origin: Devuan
 Build-Depends: debhelper-compat (= 13), libdebconfclient0-dev, libdebian-installer4-dev, po-debconf, libiw-dev [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
-Vcs-Browser: https://salsa.debian.org/installer-team/netcfg
-Vcs-Git: https://salsa.debian.org/installer-team/netcfg.git
+Vcs-Browser: https://git.devuan.org/devuan/netcfg
+Vcs-Git: https://git.devuan.org/devuan/netcfg.git
 
 Package: netcfg
 Package-Type: udeb

## netcfg 1.197trisquel1

=== debian/changelog ===
netcfg (1.197trisquel1) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 01 Sep 2025 10:49:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: netcfg
 Section: debian-installer
 Priority: optional
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders: Antonio Rendina <arendina13@gmail.com>
-Origin: Devuan
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13), libdebconfclient0-dev, libdebian-installer4-dev, po-debconf, libiw-dev [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
-Vcs-Browser: https://git.devuan.org/devuan/netcfg
-Vcs-Git: https://git.devuan.org/devuan/netcfg.git
+Vcs-Browser: https://salsa.debian.org/installer-team/netcfg
+Vcs-Git: https://salsa.debian.org/installer-team/netcfg.git
 
 Package: netcfg
 Package-Type: udeb

## netcfg 1.197+kali1

=== debian/changelog ===
netcfg (1.197+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 14 Aug 2025 14:51:29 +0700

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: netcfg
 Section: debian-installer
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Uploaders: Colin Watson <cjwatson@debian.org>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Arnaud Rebillout <arnaudr@kali.org>,
+           Sophie Brun <sophie@offensive-security.com>,
 Build-Depends: debhelper-compat (= 13), libdebconfclient0-dev, libdebian-installer4-dev, po-debconf, libiw-dev [!s390 !s390x !sparc !kfreebsd-any !hurd-any], check, libsubunit-dev
-Vcs-Browser: https://salsa.debian.org/installer-team/netcfg
-Vcs-Git: https://salsa.debian.org/installer-team/netcfg.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/installer-team/netcfg
+XS-Debian-Vcs-Git: https://salsa.debian.org/installer-team/netcfg.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/netcfg
+Vcs-Git: https://gitlab.com/kalilinux/packages/netcfg.git
 
 Package: netcfg
 Package-Type: udeb

## netcfg 1.198

=== debian/changelog ===
netcfg (1.198) unstable; urgency=medium

  * Team upload

  * Change install paths, to make package usrmerge-compliant.

  [ Updated translations ]
  * Estonian (et.po) by Priit Jõerüüt
  * Hungarian (hu.po) by Szia Tomi
  * Serbian (sr.po) by Саша Петровић

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 25 Nov 2025 22:36:59 +0100

## netcfg 1.198devuan1

=== debian/changelog ===
netcfg (1.198devuan1) unstable; urgency=medium

  * Merge tag 1.198.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 26 Nov 2025 07:21:40 +0000

## netcfg 1.199

=== debian/changelog ===
netcfg (1.199) unstable; urgency=medium

  * Team upload

  [ Pascal Hambourg ]
  * Update pre-filled netmask and gateway on static address family change.
  * Use separate debconf questions for IPv4 and IPv6 netmask and gateway.
  * Reject invalid domain names.

  [ Updated translations ]
  * Catalan (ca.po) by poc senderi
  * German (de.po) by Holger Wansing
  * Spanish (es.po) by Francisco Serrador
  * Estonian (et.po) by Priit Jõerüüt
  * Persian (fa.po) by Danial Behzadi
  * Hebrew (he.po) by Yaron Shahrabani
  * Hungarian (hu.po) by Szia Tomi
  * Japanese (ja.po) by Mikenu Takeru
  * Georgian (ka.po) by Temuri Doghonadze
  * Lao (lo.po) by BoneNI
  * Dutch (nl.po) by Frans Spiesschaert
  * Occitan (oc.po) by Quentin PAGÈS
  * Polish (pl.po) by Matthaiks
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Serbian (sr.po) by Саша Петровић
  * Swedish (sv.po) by Leif-Jöran Olsson
  * Turkish (tr.po) by Erenay
  * Uyghur (ug.po) by Abduqadir Abliz
  * Ukrainian (uk.po) by Hotripak
  * Simplified Chinese (zh_CN.po) by Sketch6580

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 26 Dec 2025 23:36:28 +0100

## netcfg 1.199devuan1

=== debian/changelog ===
netcfg (1.199devuan1) unstable; urgency=medium

  * Merge tag 1.199.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 30 Dec 2025 07:39:56 +0000

## netcfg 1.199+kali1

=== debian/changelog ===
netcfg (1.199+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 08 Jan 2026 11:14:31 +0700

## netcfg 1.200

=== debian/changelog ===
netcfg (1.200) unstable; urgency=medium

  * Team upload

  [ Holger Wansing ]
  * Fix lintian-overrides, broken since previous upload.
  * Change templates, to reflect (already existing) funtionality of giving an
    FQDN as hostname.

  [ Pascal Hambourg ]
  * netcfg_get_hostname(): Check hostname before copying it.

  [ Updated translations ]
  * Catalan (ca.po) by poc senderi
  * German (de.po) by Holger Wansing
  * Estonian (et.po) by Priit Jõerüüt
  * Hebrew (he.po) by Yaron Shahrabani
  * Hungarian (hu.po) by Szia Tomi
  * Indonesian (id.po) by Arif Budiman
  * Japanese (ja.po) by Sadaharu Wakisaka
  * Georgian (ka.po) by Temuri Doghonadze
  * Kabyle (kab.po) by Azwaw
  * Kannada (kn.po) by Prasannakumar T Bhat
  * Dutch (nl.po) by Frans Spiesschaert
  * Polish (pl.po) by Matthaiks
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Swedish (sv.po) by Leif-Jöran Olsson
  * Turkish (tr.po) by Erenay
  * Uyghur (ug.po) by Abduqadir Abliz
  * Ukrainian (uk.po) by Hotripak

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 18 Jan 2026 00:00:19 +0100

## netcfg 1.200devuan1

=== debian/changelog ===
netcfg (1.200devuan1) unstable; urgency=medium

  * Merge tag 1.200.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 19 Jan 2026 07:15:21 +0000

## netcfg 1.200+kali1

=== debian/changelog ===
netcfg (1.200+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 29 Jan 2026 10:49:13 +0700

## netcfg 1.201

=== debian/changelog ===
netcfg (1.201) unstable; urgency=medium

  [ Holger Wansing ]
  * Fix lintian-overrides again, broken due to templates changes in previous
    upload.

  [ Jochen Sprickerhof ]
  * nm-conf.c: Support SSIDs with /
  * nm-conf.c: do not write uninitialized wpa psk
  * Use wifi_security for interfaces file content

  [ Updated translations ]
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Jan 2026 19:07:41 +0000

## netcfg 1.201devuan1

=== debian/changelog ===
netcfg (1.201devuan1) unstable; urgency=medium

  * Merge tag 1.201.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 28 Jan 2026 07:19:33 +0000

## netcfg 1.201+kali1

=== debian/changelog ===
netcfg (1.201+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - default hostname is "kali" instead of "debian"

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 03 Feb 2026 14:39:46 +0700

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
override_dh_auto_build:
	dh_auto_build -- CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

override_dh_install:
	dh_install
	install -m755 netcfg-static debian/netcfg-static/usr/bin/netcfg

override_dh_installdebconf:
	dh_installdebconf
ifneq (,$(shell dh_listpackages | grep '^netcfg-static$$'))
	(echo; po2debconf debian/netcfg-common.templates) \
	   >> debian/netcfg-static/DEBIAN/templates
endif
ifneq (,$(shell dh_listpackages | grep '^netcfg$$'))
	(echo ; po2debconf debian/netcfg-common.templates) \
	   >> debian/netcfg/DEBIAN/templates
	(echo ; po2debconf debian/netcfg-dhcp.templates) \
	   >> debian/netcfg/DEBIAN/templates
	(echo ; po2debconf debian/netcfg-static.templates) \
	   >> debian/netcfg/DEBIAN/templates
endif
